Tonyu.klass.define({
  fullName: 'user.APadN',
  shortName: 'APadN',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_APadN_main() {
        "use strict";
        var _this=this;
        
        if (! _this.auto) {
          _this.loop();
        }
      },
      fiber$main :function _trc_APadN_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_APadN_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(! _this.auto)) { __pc=2     ; break; }
              _this.fiber$loop(_thread);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_APadN_initialize(p) {
        "use strict";
        var _this=this;
        
        p=p||{};
        if (! p.alpha) {
          p.alpha=128;
        }
        __superClass.apply( _this, [p]);
        _this.vx=0;
        _this.vy=0;
        _this.outerRadius=_this.outerRadius||75;
        _this.fillStyle=_this.fillStyle||"rgba(255,255,255,0.5)";
        _this.strokeStyle=_this.strokeStyle||"rgba(255,255,255,0.5)";
        _this.innerRadius=_this.innerRadius||50;
        if (typeof  _this.keys==="object") {
          _this.leftKey=_this.keys.left;
          _this.rightKey=_this.keys.right;
          _this.upKey=_this.keys.up;
          _this.downKey=_this.keys.down;
          
        }
        _this.keySpeed=_this.keySpeed!=null?_this.keySpeed:15/50;
        _this.leftKey=_this.leftKey||"left";
        _this.rightKey=_this.rightKey||"right";
        _this.upKey=_this.upKey||"up";
        _this.downKey=_this.downKey||"down";
        _this.decay=(typeof  _this.decay)==="number"?_this.decay:0.8;
        _this.velocity=new Tonyu.classes.kernel.Vec3View(_this,{x: "vx",y: "vy",z: "vz"});
        if ((typeof  _this.x!=="number")||_this.x!==_this.x) {
          _this.x=Tonyu.globals.$screenWidth/2;
          
        }
        if ((typeof  _this.y!=="number")||_this.y!==_this.y) {
          _this.y=Tonyu.globals.$screenHeight-_this.outerRadius-_this.innerRadius;
          
        }
        _this.touched=0;
        _this.ix=_this.x;
        _this.iy=_this.y;
      },
      __getter__defaultLayer :function _trc_APadN___getter__defaultLayer() {
        "use strict";
        var _this=this;
        
        return Tonyu.globals.$frontLayer;
      },
      draw :function _trc_APadN_draw(ctx) {
        "use strict";
        var _this=this;
        var gradient;
        
        if (_this.auto) {
          _this.ix=_this.x+_this.vx*_this.outerRadius;
          _this.iy=_this.y+_this.vy*_this.outerRadius;
          
        }
        ctx.globalAlpha=_this.alpha/255;
        gradient = ctx.createRadialGradient(_this.ix,_this.iy,_this.innerRadius/2,_this.ix,_this.iy,_this.innerRadius);
        
        gradient.addColorStop(0,'rgba(255,255,255,0)');
        gradient.addColorStop(1,_this.fillStyle);
        ctx.fillStyle=gradient;
        ctx.beginPath();
        ctx.arc(_this.ix,_this.iy,_this.innerRadius*(_this.speed+1)/2,0,Tonyu.globals.$Math.PI*2);
        ctx.closePath();
        ctx.fill();
        ctx.strokeStyle=_this.strokeStyle;
        ctx.beginPath();
        ctx.arc(_this.x,_this.y,_this.outerRadius,0,Tonyu.globals.$Math.PI*2);
        ctx.closePath();
        ctx.stroke();
      },
      findTouch :function _trc_APadN_findTouch() {
        "use strict";
        var _this=this;
        var t;
        var _it_5547;
        
        _it_5547=Tonyu.iterator(Tonyu.globals.$touches,1);
        while(_it_5547.next()) {
          t=_it_5547[0];
          
          if ((! _this.touchRadius||_this.dist(t)<_this.touchRadius)&&t.touched==1) {
            return t;
            
          }
          
        }
      },
      loop :function _trc_APadN_loop() {
        "use strict";
        var _this=this;
        var vx;
        var vy;
        
        vx = 0;
        vy = 0;
        
        while (true) {
          Tonyu.checkLoop();
          if (! _this.t||_this.t.ended) {
            _this.t=_this.findTouch();
          }
          if (_this.t) {
            _this.touched=_this.t.touched;
            if (_this.t.touched==1) {
              _this.x=_this.t.x;
              _this.y=_this.t.y;
              _this.alpha=255;
              
            }
            vx=(_this.t.x-_this.x);
            vy=(_this.t.y-_this.y);
            
          } else {
            if (_this.touched>=1) {
              _this.touched=- 1;
              
            } else {
              _this.touched=0;
              
            }
            _this.alpha*=0.7;
            if (_this.alpha<0) {
              _this.alpha=0;
            }
            vx*=_this.decay;
            vy*=_this.decay;
            
          }
          if (_this.getkey(_this.leftKey)) {
            vx-=_this.keySpeed*_this.outerRadius;
          }
          if (_this.getkey(_this.rightKey)) {
            vx+=_this.keySpeed*_this.outerRadius;
          }
          if (_this.getkey(_this.upKey)) {
            vy-=_this.keySpeed*_this.outerRadius;
          }
          if (_this.getkey(_this.downKey)) {
            vy+=_this.keySpeed*_this.outerRadius;
          }
          _this.d=_this.dist(vx,vy);
          if (_this.d>_this.outerRadius) {
            vx=vx/_this.d*_this.outerRadius;
            vy=vy/_this.d*_this.outerRadius;
            
          }
          _this.ix=_this.x+vx;
          _this.iy=_this.y+vy;
          _this.vx=_this.clamp(vx/_this.outerRadius,- 1,1);
          _this.vy=_this.clamp(vy/_this.outerRadius,- 1,1);
          _this.update();
          
        }
      },
      fiber$loop :function _trc_APadN_f_loop(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var vx;
        var vy;
        
        vx = 0;
        vy = 0;
        
        
        _thread.enter(function _trc_APadN_ent_loop(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (! _this.t||_this.t.ended) {
                _this.t=_this.findTouch();
              }
              if (_this.t) {
                _this.touched=_this.t.touched;
                if (_this.t.touched==1) {
                  _this.x=_this.t.x;
                  _this.y=_this.t.y;
                  _this.alpha=255;
                  
                }
                vx=(_this.t.x-_this.x);
                vy=(_this.t.y-_this.y);
                
              } else {
                if (_this.touched>=1) {
                  _this.touched=- 1;
                  
                } else {
                  _this.touched=0;
                  
                }
                _this.alpha*=0.7;
                if (_this.alpha<0) {
                  _this.alpha=0;
                }
                vx*=_this.decay;
                vy*=_this.decay;
                
              }
              if (_this.getkey(_this.leftKey)) {
                vx-=_this.keySpeed*_this.outerRadius;
              }
              if (_this.getkey(_this.rightKey)) {
                vx+=_this.keySpeed*_this.outerRadius;
              }
              if (_this.getkey(_this.upKey)) {
                vy-=_this.keySpeed*_this.outerRadius;
              }
              if (_this.getkey(_this.downKey)) {
                vy+=_this.keySpeed*_this.outerRadius;
              }
              _this.d=_this.dist(vx,vy);
              if (_this.d>_this.outerRadius) {
                vx=vx/_this.d*_this.outerRadius;
                vy=vy/_this.d*_this.outerRadius;
                
              }
              _this.ix=_this.x+vx;
              _this.iy=_this.y+vy;
              _this.vx=_this.clamp(vx/_this.outerRadius,- 1,1);
              _this.vy=_this.clamp(vy/_this.outerRadius,- 1,1);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __getter__speed :function _trc_APadN___getter__speed() {
        "use strict";
        var _this=this;
        
        return _this.sqrt(_this.vx*_this.vx+_this.vy*_this.vy);
      },
      __getter__direction :function _trc_APadN___getter__direction() {
        "use strict";
        var _this=this;
        
        return _this.atanxy(_this.vx,_this.vy);
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"__getter__defaultLayer":{"nowait":true},"draw":{"nowait":true},"findTouch":{"nowait":true},"loop":{"nowait":false},"__getter__speed":{"nowait":true},"__getter__direction":{"nowait":true}},"fields":{"auto":{},"vx":{},"vy":{},"outerRadius":{},"strokeStyle":{},"innerRadius":{},"keys":{},"leftKey":{},"rightKey":{},"upKey":{},"downKey":{},"keySpeed":{},"decay":{},"velocity":{},"ix":{},"iy":{},"touchRadius":{},"t":{},"d":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Ball',
  shortName: 'Ball',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Ball_main() {
        "use strict";
        var _this=this;
        
        _this.pvy = _this.vy;
        
        _this.kirat = 0;
        
        while (1) {
          Tonyu.checkLoop();
          _this.vx*=0.998;
          _this.vy*=0.998;
          if (_this.y>Tonyu.globals.$gameHeight-Tonyu.globals.$deadLine&&_this.abs(_this.vy)<3) {
            new Tonyu.classes.user.BallIgnore({x: _this.x,y: _this.y,vx: _this.vx,vy: _this.vy,scaleX: _this.scaleX});
            _this.scaleX=0;
            _this.die();
            
          }
          if (_this.kirakira) {
            _this.kirat++;
            if (_this.kirat>10) {
              new Tonyu.classes.user.FxKirakira({x: _this.x,y: _this.y,scaleX: _this.scaleX});
              _this.kirat=0;
              
            }
            
          }
          if (_this.y>Tonyu.globals.$screenHeight) {
            _this.scaleX=0;
            _this.die();
            
          }
          _this.pvy=_this.vy;
          _this.update();
          
        }
      },
      fiber$main :function _trc_Ball_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.pvy = _this.vy;
        
        _this.kirat = 0;
        
        
        _thread.enter(function _trc_Ball_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.vx*=0.998;
              _this.vy*=0.998;
              if (_this.y>Tonyu.globals.$gameHeight-Tonyu.globals.$deadLine&&_this.abs(_this.vy)<3) {
                new Tonyu.classes.user.BallIgnore({x: _this.x,y: _this.y,vx: _this.vx,vy: _this.vy,scaleX: _this.scaleX});
                _this.scaleX=0;
                _this.die();
                
              }
              if (_this.kirakira) {
                _this.kirat++;
                if (_this.kirat>10) {
                  new Tonyu.classes.user.FxKirakira({x: _this.x,y: _this.y,scaleX: _this.scaleX});
                  _this.kirat=0;
                  
                }
                
              }
              if (_this.y>Tonyu.globals.$screenHeight) {
                _this.scaleX=0;
                _this.die();
                
              }
              _this.pvy=_this.vy;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_Ball_initialize(o) {
        "use strict";
        var _this=this;
        
        o.scaleX=o.scaleX?o.scaleX:1;
        o.shape="circle";
        o.density=o.density?o.density:1;
        o.friction=o.friction?o.friction:0;
        o.restitution=o.restitution?o.restitution:1;
        o.radius=o.radius*o.scaleX||16*o.scaleX;
        __superClass.apply( _this, [o]);
        _this.kirakira=o.kirakira!=null?o.kirakira:0;
        _this.p=_this.kirakira?12:Tonyu.globals.$pat_base+20;
        _this.on("die",(function anonymous_521() {
          
          new Tonyu.classes.user.FxDie({x: _this.x,y: _this.y,scaleX: _this.scaleX});
        }));
      },
      spd :function _trc_Ball_spd() {
        "use strict";
        var _this=this;
        
        return _this.abs(_this.vx)+_this.abs(_this.vy);
      },
      fiber$spd :function _trc_Ball_f_spd(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.abs(_this.vx)+_this.abs(_this.vy);return;
        
        
        _thread.retVal=_this;return;
      },
      Hit :function _trc_Ball_Hit(shot) {
        "use strict";
        var _this=this;
        var vy;
        var scaleX;
        
        Tonyu.globals.$SE.Hit();
        if (_this.kirakira) {
          Tonyu.globals.$Combo.Increase(_this);
          _this.die();
          
        } else {
          vy = vy<- 5?vy-2:- 6;
          
          scaleX = _this.scaleX/2;
          
          new Tonyu.classes.user.Ball({lifeKeeper: _this.lifeKeeper,x: _this.x+16,y: _this.y,vx: _this.abs(_this.vx)+1,vy: vy,kirakira: true,scaleX: scaleX});
          new Tonyu.classes.user.Ball({lifeKeeper: _this.lifeKeeper,x: _this.x-16,y: _this.y,vx: - _this.abs(_this.vx)-1,vy: vy,kirakira: true,scaleX: scaleX});
          Tonyu.globals.$Combo.Break(_this);
          _this.die();
          
        }
      },
      fiber$Hit :function _trc_Ball_f_Hit(_thread,shot) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var vy;
        var scaleX;
        
        Tonyu.globals.$SE.Hit();
        if (_this.kirakira) {
          Tonyu.globals.$Combo.Increase(_this);
          _this.die();
          
        } else {
          vy = vy<- 5?vy-2:- 6;
          
          scaleX = _this.scaleX/2;
          
          new Tonyu.classes.user.Ball({lifeKeeper: _this.lifeKeeper,x: _this.x+16,y: _this.y,vx: _this.abs(_this.vx)+1,vy: vy,kirakira: true,scaleX: scaleX});
          new Tonyu.classes.user.Ball({lifeKeeper: _this.lifeKeeper,x: _this.x-16,y: _this.y,vx: - _this.abs(_this.vx)-1,vy: vy,kirakira: true,scaleX: scaleX});
          Tonyu.globals.$Combo.Break(_this);
          _this.die();
          
        }
        
        _thread.retVal=_this;return;
      },
      draw :function _trc_Ball_draw(ctx) {
        "use strict";
        var _this=this;
        
        __superClass.prototype.draw.apply( _this, [ctx]);
        if (_this.kirakira) {
          if (_this.floor(_this.kirat/2)%2==0) {
            ctx.fillStyle="rgba(255,255,255,0.75)";
            
          } else {
            ctx.fillStyle="rgba(255,255,255,0.25)";
            
          }
          ctx.beginPath();
          ctx.arc(_this.x,_this.y,(_this.radius+4),0,2*Tonyu.globals.$Math.PI);
          ctx.fill();
          
        }
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"spd":{"nowait":false},"Hit":{"nowait":false},"draw":{"nowait":true}},"fields":{"pvy":{},"kirat":{}}}
});
Tonyu.klass.define({
  fullName: 'user.BallIgnore',
  shortName: 'BallIgnore',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_BallIgnore_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          _this.vx*=0.97;
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.vy+=0.3;
          if (_this.y>Tonyu.globals.$screenHeight+32) {
            _this.die();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_BallIgnore_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_BallIgnore_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.vx*=0.97;
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.vy+=0.3;
              if (_this.y>Tonyu.globals.$screenHeight+32) {
                _this.die();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_BallIgnore_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.p=o.p?o.p:18;
        _this.alpha=128;
        _this.zOrder=10;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false}},"fields":{"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.BallSpawner',
  shortName: 'BallSpawner',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_BallSpawner_main() {
        "use strict";
        var _this=this;
        
        _this.random = _this.seed!=null?new Tonyu.classes.kernel.Random(_this.seed):new Tonyu.classes.kernel.Random();
        
        _this.i = 0;
        for (; _this.i<100 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.random.next01();
          }
        }
        
        _this.vx = _this.vx||0;
        
        _this.vy = _this.vy||0;
        
        _this.margin = 48;
        
        if (_this.spawnt==null) {
          _this.spawnt=_this.random.nextInt(90,160);
        }
        while (1) {
          Tonyu.checkLoop();
          if (_this.x+_this.vx<_this.margin||_this.x+_this.vx>Tonyu.globals.$screenWidth-_this.margin) {
            _this.vx=- _this.vx;
            
          }
          if (_this.y+_this.vy<_this.margin||_this.y+_this.vy>Tonyu.globals.$gameHeight-_this.margin) {
            _this.vy=- _this.vy;
            
          }
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          if (_this.spawnt<=0) {
            _this.Spawn();
            _this.spawnt=_this.random.nextInt(90-Tonyu.globals.$level,90+240/(Tonyu.globals.$level+5)*5);
            
          } else {
            _this.spawnt--;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_BallSpawner_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.random = _this.seed!=null?new Tonyu.classes.kernel.Random(_this.seed):new Tonyu.classes.kernel.Random();
        
        _this.i = 0;
        for (; _this.i<100 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.random.next01();
          }
        }
        
        _this.vx = _this.vx||0;
        
        _this.vy = _this.vy||0;
        
        _this.margin = 48;
        
        if (_this.spawnt==null) {
          _this.spawnt=_this.random.nextInt(90,160);
        }
        
        _thread.enter(function _trc_BallSpawner_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=6     ; break; }
              if (_this.x+_this.vx<_this.margin||_this.x+_this.vx>Tonyu.globals.$screenWidth-_this.margin) {
                _this.vx=- _this.vx;
                
              }
              if (_this.y+_this.vy<_this.margin||_this.y+_this.vy>Tonyu.globals.$gameHeight-_this.margin) {
                _this.vy=- _this.vy;
                
              }
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              if (!(_this.spawnt<=0)) { __pc=3     ; break; }
              _this.fiber$Spawn(_thread);
              __pc=2;return;
            case 2:
              
              _this.spawnt=_this.random.nextInt(90-Tonyu.globals.$level,90+240/(Tonyu.globals.$level+5)*5);
              __pc=4     ;break;
            case 3     :
              {
                _this.spawnt--;
              }
            case 4     :
              
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=1;break;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Spawn :function _trc_BallSpawner_Spawn() {
        "use strict";
        var _this=this;
        var kirakira;
        var scaleX;
        var r;
        
        kirakira = _this.random.next01()>0.5;
        
        scaleX = 2;
        
        r = _this.random.next01();
        
        if (Tonyu.globals.$level>1&&r>0.9||Tonyu.globals.$level>2&&r>0.7||Tonyu.globals.$level>3&&r>0.5) {
          scaleX=1;
          
        }
        new Tonyu.classes.user.Ball({lifeKeeper: _this,x: _this.x,y: _this.y,kirakira: kirakira,scaleX: scaleX});
        Tonyu.globals.$SE.SpawnBall();
      },
      fiber$Spawn :function _trc_BallSpawner_f_Spawn(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var kirakira;
        var scaleX;
        var r;
        
        kirakira = _this.random.next01()>0.5;
        
        scaleX = 2;
        
        r = _this.random.next01();
        
        if (Tonyu.globals.$level>1&&r>0.9||Tonyu.globals.$level>2&&r>0.7||Tonyu.globals.$level>3&&r>0.5) {
          scaleX=1;
          
        }
        new Tonyu.classes.user.Ball({lifeKeeper: _this,x: _this.x,y: _this.y,kirakira: kirakira,scaleX: scaleX});
        Tonyu.globals.$SE.SpawnBall();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Spawn":{"nowait":false}},"fields":{"random":{},"i":{},"spawnt":{},"vx":{},"vy":{},"margin":{},"seed":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Combo',
  shortName: 'Combo',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Combo_main() {
        "use strict";
        var _this=this;
        
        while (1) {
          Tonyu.checkLoop();
          if (_this.remaint>0) {
            if (_this.remaint%_this.clamp(60-(_this.combo*6),2,60)==0) {
              new Tonyu.classes.user.FxKirakira({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight/2});
              
            }
            _this.remaint--;
            if (_this.remaint==0) {
              _this.Break({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight/2});
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Combo_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Combo_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=6     ; break; }
              if (!(_this.remaint>0)) { __pc=4     ; break; }
              if (_this.remaint%_this.clamp(60-(_this.combo*6),2,60)==0) {
                new Tonyu.classes.user.FxKirakira({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight/2});
                
              }
              _this.remaint--;
              if (!(_this.remaint==0)) { __pc=3     ; break; }
              _this.fiber$Break(_thread, {x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight/2});
              __pc=2;return;
            case 2:
              
            case 3     :
              
            case 4     :
              
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=1;break;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_Combo_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.combo=0;
        _this.remainMax=180;
        _this.remaint=90;
        _this.zOrder=99;
      },
      Increase :function _trc_Combo_Increase(t) {
        "use strict";
        var _this=this;
        var c;
        
        Tonyu.globals.$SE.Combo();
        _this.combo++;
        _this.remaint=_this.remainMax;
        if (_this.combo>1) {
          new Tonyu.classes.user.FxCombo({x: t.x,y: t.y,value: _this.combo});
          
        }
        c = _this.combo>Tonyu.globals.$scoreUpMaxCombo?Tonyu.globals.$scoreUpMaxCombo:_this.combo;
        
        Tonyu.globals.$score+=Tonyu.globals.$Math.pow(2,c);
      },
      fiber$Increase :function _trc_Combo_f_Increase(_thread,t) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var c;
        
        Tonyu.globals.$SE.Combo();
        _this.combo++;
        _this.remaint=_this.remainMax;
        if (_this.combo>1) {
          new Tonyu.classes.user.FxCombo({x: t.x,y: t.y,value: _this.combo});
          
        }
        c = _this.combo>Tonyu.globals.$scoreUpMaxCombo?Tonyu.globals.$scoreUpMaxCombo:_this.combo;
        
        Tonyu.globals.$score+=Tonyu.globals.$Math.pow(2,c);
        
        _thread.retVal=_this;return;
      },
      Break :function _trc_Combo_Break(t) {
        "use strict";
        var _this=this;
        
        if (_this.combo>2) {
          Tonyu.globals.$SE.ComboBreak();
          new Tonyu.classes.user.FxComboBreak({x: t.x,y: t.y});
          
        }
        _this.remaint=0;
        _this.combo=0;
      },
      fiber$Break :function _trc_Combo_f_Break(_thread,t) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.combo>2) {
          Tonyu.globals.$SE.ComboBreak();
          new Tonyu.classes.user.FxComboBreak({x: t.x,y: t.y});
          
        }
        _this.remaint=0;
        _this.combo=0;
        
        _thread.retVal=_this;return;
      },
      __getter__value :function _trc_Combo___getter__value() {
        "use strict";
        var _this=this;
        
        return _this.combo;
      },
      draw :function _trc_Combo_draw(ctx) {
        "use strict";
        var _this=this;
        var a;
        
        a = (_this.floor(_this.remaint/6)%2+1)/40+0.1;
        
        ctx.fillStyle="rgba(255,255,255,"+a+")";
        ctx.fillRect(0,Tonyu.globals.$gameHeight-Tonyu.globals.$gameHeight*(_this.remaint/_this.remainMax),Tonyu.globals.$screenWidth,Tonyu.globals.$gameHeight);
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"Increase":{"nowait":false},"Break":{"nowait":false},"__getter__value":{"nowait":true},"draw":{"nowait":true}},"fields":{"remaint":{},"combo":{},"remainMax":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxCombo',
  shortName: 'FxCombo',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxCombo_main() {
        "use strict";
        var _this=this;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.scaleX=2;
        _this.zOrder=- 9;
        
        _this.t = 60;
        
        _this.maxt = _this.t;
        
        _this.color = "#fff";
        
        if (_this.value>=Tonyu.globals.$scoreUpMaxCombo) {
          _this.color="#ff0";
          
        }
        while (_this.t) {
          Tonyu.checkLoop();
          if (_this.scaleX>1) {
            _this.scaleX*=0.95;
            
          } else {
            _this.scaleX=1;
            
          }
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_FxCombo_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.scaleX=2;
        _this.zOrder=- 9;
        
        _this.t = 60;
        
        _this.maxt = _this.t;
        
        _this.color = "#fff";
        
        if (_this.value>=Tonyu.globals.$scoreUpMaxCombo) {
          _this.color="#ff0";
          
        }
        
        _thread.enter(function _trc_FxCombo_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t)) { __pc=3     ; break; }
              if (_this.scaleX>1) {
                _this.scaleX*=0.95;
                
              } else {
                _this.scaleX=1;
                
              }
              _this.t--;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_FxCombo_draw(ctx) {
        "use strict";
        var _this=this;
        var y;
        var x;
        var textObj;
        
        ctx.save();
        y = _this.y;
        
        x = _this.x-32;
        
        textObj = Tonyu.globals.$UI.Text({ctx: ctx,x: x,y: y,text: _this.value,size: 32*_this.scaleX,textBaseline: "bottom",color: Tonyu.bindFunc(_this,_this.color)});
        
        Tonyu.globals.$UI.Text({ctx: ctx,x: x+textObj.width+2,y: y,text: "コンボ！",size: 18,textBaseline: "bottom"});
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"value":{},"t":{},"maxt":{},"color":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxComboBreak',
  shortName: 'FxComboBreak',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxComboBreak_main() {
        "use strict";
        var _this=this;
        
        _this.scaleX=2;
        _this.zOrder=- 9;
        
        _this.t = 60;
        
        _this.maxt = _this.t;
        
        while (_this.t) {
          Tonyu.checkLoop();
          if (_this.scaleX>1) {
            _this.scaleX*=0.95;
            
          } else {
            _this.scaleX=1;
            
          }
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_FxComboBreak_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.scaleX=2;
        _this.zOrder=- 9;
        
        _this.t = 60;
        
        _this.maxt = _this.t;
        
        
        _thread.enter(function _trc_FxComboBreak_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t)) { __pc=3     ; break; }
              if (_this.scaleX>1) {
                _this.scaleX*=0.95;
                
              } else {
                _this.scaleX=1;
                
              }
              _this.t--;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_FxComboBreak_draw(ctx) {
        "use strict";
        var _this=this;
        
        ctx.save();
        Tonyu.globals.$UI.Text({ctx: ctx,x: _this.x+_this.cos(_this.t*45)*_this.t/20,y: _this.y,text: "コンボブレイク！",size: 12*_this.scaleX,color: "#f00",align: "center"});
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"value":{},"t":{},"maxt":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxDie',
  shortName: 'FxDie',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxDie_main() {
        "use strict";
        var _this=this;
        
        _this.i = 0;
        for (; _this.i<4 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.FxParticle({x: _this.x,y: _this.y,vx: (_this.rnd()-0.5)*7,vy: (_this.rnd()-0.5)*7,t: _this.rnd(80,160),radius: _this.rnd(8,24)*(_this.scaleX+1)/2});
          }
        }
        _this.die();
      },
      fiber$main :function _trc_FxDie_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.i = 0;
        for (; _this.i<4 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.FxParticle({x: _this.x,y: _this.y,vx: (_this.rnd()-0.5)*7,vy: (_this.rnd()-0.5)*7,t: _this.rnd(80,160),radius: _this.rnd(8,24)*(_this.scaleX+1)/2});
          }
        }
        _this.die();
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_FxDie_initialize(o) {
        "use strict";
        var _this=this;
        
        if (o.scaleX==0) {
          _this.die();
        }
        __superClass.apply( _this, [o]);
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxKirakira',
  shortName: 'FxKirakira',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxKirakira_main() {
        "use strict";
        var _this=this;
        
        _this.radius=_this.radius?_this.radius:((_this.rnd(16)+8)*_this.scaleX)/2;
        _this.fillStyle="#fff";
        _this.zOrder=_this.rnd(2)?5:0;
        _this.t = 40;
        
        _this.maxt = _this.t;
        
        _this.alpha=_this.rnd(128)+128;
        _this.rotation=_this.rnd(320);
        _this.vrot=(_this.rnd(16)-8)/64;
        _this.vx=(_this.rnd(32)-16)/4;
        _this.vy=_this.rnd(32)/4;
        _this.x+=_this.vx*_this.rnd(10);
        _this.y+=_this.vy*_this.rnd(10);
        _this.vy-=5;
        _this.spikes = _this.rnd(2)+4;
        
        _this.innerRadius = _this.rnd()/2+0.1;
        
        _this.scaleX=1;
        while (_this.t) {
          Tonyu.checkLoop();
          _this.vy+=0.2;
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.rotation+=_this.vrot;
          _this.scaleX-=0.01;
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_FxKirakira_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.radius=_this.radius?_this.radius:((_this.rnd(16)+8)*_this.scaleX)/2;
        _this.fillStyle="#fff";
        _this.zOrder=_this.rnd(2)?5:0;
        _this.t = 40;
        
        _this.maxt = _this.t;
        
        _this.alpha=_this.rnd(128)+128;
        _this.rotation=_this.rnd(320);
        _this.vrot=(_this.rnd(16)-8)/64;
        _this.vx=(_this.rnd(32)-16)/4;
        _this.vy=_this.rnd(32)/4;
        _this.x+=_this.vx*_this.rnd(10);
        _this.y+=_this.vy*_this.rnd(10);
        _this.vy-=5;
        _this.spikes = _this.rnd(2)+4;
        
        _this.innerRadius = _this.rnd()/2+0.1;
        
        _this.scaleX=1;
        
        _thread.enter(function _trc_FxKirakira_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t)) { __pc=3     ; break; }
              _this.vy+=0.2;
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.rotation+=_this.vrot;
              _this.scaleX-=0.01;
              _this.t--;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_FxKirakira_draw(ctx) {
        "use strict";
        var _this=this;
        var size;
        
        ctx.save();
        size = _this.radius*1.5;
        
        ctx.globalAlpha=_this.alpha/255;
        ctx.fillStyle='#fff';
        ctx.lineWidth=1*_this.scaleX;
        ctx.strokeStyle="#fff";
        _this.StarPath(ctx,_this.x,_this.y,_this.spikes,size,size*_this.innerRadius,_this.scaleX,_this.rotation);
        ctx.fill();
        ctx.stroke();
        ctx.restore();
      },
      StarPath :function _trc_FxKirakira_StarPath(ctx,cx,cy,spikes,outerRadius,innerRadius,_scale,_rotation) {
        "use strict";
        var _this=this;
        var rotation;
        var scale;
        var rot;
        var x;
        var y;
        var step;
        var i;
        
        rotation = _rotation!=null?_rotation:0;
        
        scale = _scale!=null?_scale:1;
        
        outerRadius*=scale;
        innerRadius*=scale;
        rot = Tonyu.globals.$Math.PI/2*3+rotation;
        
        x = cx;
        
        y = cy;
        
        step = Tonyu.globals.$Math.PI/spikes;
        
        ctx.beginPath();
        ctx.moveTo(x+Tonyu.globals.$Math.cos(rot)*outerRadius,y+Tonyu.globals.$Math.sin(rot)*outerRadius);
        i = 0;
        for (; i<spikes ; i++) {
          Tonyu.checkLoop();
          {
            x=cx+Tonyu.globals.$Math.cos(rot)*outerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*outerRadius;
            ctx.lineTo(x,y);
            rot+=step;
            x=cx+Tonyu.globals.$Math.cos(rot)*innerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*innerRadius;
            ctx.lineTo(x,y);
            rot+=step;
          }
        }
        ctx.lineTo(cx+Tonyu.globals.$Math.cos(rot)*outerRadius,cy+Tonyu.globals.$Math.sin(rot)*outerRadius);
        ctx.closePath();
      },
      fiber$StarPath :function _trc_FxKirakira_f_StarPath(_thread,ctx,cx,cy,spikes,outerRadius,innerRadius,_scale,_rotation) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var rotation;
        var scale;
        var rot;
        var x;
        var y;
        var step;
        var i;
        
        rotation = _rotation!=null?_rotation:0;
        
        scale = _scale!=null?_scale:1;
        
        outerRadius*=scale;
        innerRadius*=scale;
        rot = Tonyu.globals.$Math.PI/2*3+rotation;
        
        x = cx;
        
        y = cy;
        
        step = Tonyu.globals.$Math.PI/spikes;
        
        ctx.beginPath();
        ctx.moveTo(x+Tonyu.globals.$Math.cos(rot)*outerRadius,y+Tonyu.globals.$Math.sin(rot)*outerRadius);
        i = 0;
        for (; i<spikes ; i++) {
          Tonyu.checkLoop();
          {
            x=cx+Tonyu.globals.$Math.cos(rot)*outerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*outerRadius;
            ctx.lineTo(x,y);
            rot+=step;
            x=cx+Tonyu.globals.$Math.cos(rot)*innerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*innerRadius;
            ctx.lineTo(x,y);
            rot+=step;
          }
        }
        ctx.lineTo(cx+Tonyu.globals.$Math.cos(rot)*outerRadius,cy+Tonyu.globals.$Math.sin(rot)*outerRadius);
        ctx.closePath();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true},"StarPath":{"nowait":false}},"fields":{"t":{},"maxt":{},"spikes":{},"innerRadius":{},"vrot":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.FxParticle',
  shortName: 'FxParticle',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxParticle_main() {
        "use strict";
        var _this=this;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.maxt = _this.t;
        
        _this.vx*=_this.radius/16;
        _this.vy*=_this.radius/16;
        _this.vy-=5;
        while (_this.t) {
          Tonyu.checkLoop();
          _this.vx*=0.98;
          _this.vy*=0.98;
          _this.vy+=0.2;
          _this.x+=_this.vx;
          _this.y+=_this.vy;
          _this.scaleX=2-2/(1+Tonyu.globals.$Math.pow(Tonyu.globals.$Math.E,- 10*(1-_this.t/_this.maxt)));
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_FxParticle_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.radius=_this.radius?_this.radius:32;
        _this.fillStyle="#fff";
        _this.maxt = _this.t;
        
        _this.vx*=_this.radius/16;
        _this.vy*=_this.radius/16;
        _this.vy-=5;
        
        _thread.enter(function _trc_FxParticle_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t)) { __pc=3     ; break; }
              _this.vx*=0.98;
              _this.vy*=0.98;
              _this.vy+=0.2;
              _this.x+=_this.vx;
              _this.y+=_this.vy;
              _this.scaleX=2-2/(1+Tonyu.globals.$Math.pow(Tonyu.globals.$Math.E,- 10*(1-_this.t/_this.maxt)));
              _this.t--;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"maxt":{},"t":{},"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameBg',
  shortName: 'GameBg',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameBg_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_GameBg_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_GameBg_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.zOrder=100;
      },
      draw :function _trc_GameBg_draw(ctx) {
        "use strict";
        var _this=this;
        
        _this.grad=ctx.createLinearGradient(0,0,0,Tonyu.globals.$gameHeight);
        _this.grad.addColorStop(0,'#002288');
        _this.grad.addColorStop(1,'#1166ff');
        ctx.fillStyle=_this.grad;
        ctx.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        ctx.strokeStyle="rgba(255,255,255,0.5)";
        ctx.lineWidth=2;
        ctx.strokeRect(0-2,Tonyu.globals.$gameHeight-Tonyu.globals.$deadLine,Tonyu.globals.$screenWidth+4,Tonyu.globals.$gameHeight+4);
        Tonyu.globals.$UI.Text({ctx: ctx,text: "キラキラキラー",x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight-20,size: 20,align: "center",lineWidth: 1});
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"draw":{"nowait":true}},"fields":{"grad":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameLoop',
  shortName: 'GameLoop',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameLoop_main() {
        "use strict";
        var _this=this;
        
        _this.t = 0;
        
        while (1) {
          Tonyu.checkLoop();
          _this.t++;
          Tonyu.globals.$levelUpT=_this.t;
          if (_this.t>Tonyu.globals.$levelUpDelay) {
            Tonyu.globals.$level++;
            Tonyu.globals.$SE.Up();
            _this.t=0;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_GameLoop_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.t = 0;
        
        
        _thread.enter(function _trc_GameLoop_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.t++;
              Tonyu.globals.$levelUpT=_this.t;
              if (_this.t>Tonyu.globals.$levelUpDelay) {
                Tonyu.globals.$level++;
                Tonyu.globals.$SE.Up();
                _this.t=0;
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameMain',
  shortName: 'GameMain',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameMain_main() {
        "use strict";
        var _this=this;
        
        
        _this.stage = 0;
        
        _this.ballSpawners = [];
        
        
      },
      fiber$main :function _trc_GameMain_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _this.stage = 0;
        
        _this.ballSpawners = [];
        
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_GameMain_initialize(o) {
        "use strict";
        var _this=this;
        
        _this.gameStarted=false;
        Tonyu.globals.$life=3;
        Tonyu.globals.$UIMain=new Tonyu.classes.user.UIMain();
        Tonyu.globals.$GameBg=new Tonyu.classes.user.GameBg();
      },
      Title :function _trc_GameMain_Title() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Title=new Tonyu.classes.user.Title();
      },
      fiber$Title :function _trc_GameMain_f_Title(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Title=new Tonyu.classes.user.Title();
        
        _thread.retVal=_this;return;
      },
      MakeStage :function _trc_GameMain_MakeStage(n) {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.user.Wall({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight,scaleX: Tonyu.globals.$screenWidth/32,scaleY: 2});
        new Tonyu.classes.user.Wall({x: 0,y: Tonyu.globals.$gameHeight/2,scaleX: 2,scaleY: Tonyu.globals.$gameHeight/32});
        new Tonyu.classes.user.Wall({x: Tonyu.globals.$screenWidth,y: Tonyu.globals.$gameHeight/2,scaleX: 2,scaleY: Tonyu.globals.$gameHeight/32});
        _this.stage=n;
      },
      fiber$MakeStage :function _trc_GameMain_f_MakeStage(_thread,n) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.user.Wall({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight,scaleX: Tonyu.globals.$screenWidth/32,scaleY: 2});
        new Tonyu.classes.user.Wall({x: 0,y: Tonyu.globals.$gameHeight/2,scaleX: 2,scaleY: Tonyu.globals.$gameHeight/32});
        new Tonyu.classes.user.Wall({x: Tonyu.globals.$screenWidth,y: Tonyu.globals.$gameHeight/2,scaleX: 2,scaleY: Tonyu.globals.$gameHeight/32});
        _this.stage=n;
        
        _thread.retVal=_this;return;
      },
      GameReset :function _trc_GameMain_GameReset() {
        "use strict";
        var _this=this;
        var bs;
        var _it_5570;
        
        Tonyu.globals.$Player.die();
        _it_5570=Tonyu.iterator(_this.ballSpawners,1);
        while(_it_5570.next()) {
          bs=_it_5570[0];
          
          bs.die();
          
        }
      },
      fiber$GameReset :function _trc_GameMain_f_GameReset(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var bs;
        var _it_5570;
        
        Tonyu.globals.$Player.die();
        _it_5570=Tonyu.iterator(_this.ballSpawners,1);
        while(_it_5570.next()) {
          bs=_it_5570[0];
          
          bs.die();
          
        }
        
        _thread.retVal=_this;return;
      },
      GameStart :function _trc_GameMain_GameStart() {
        "use strict";
        var _this=this;
        var seed;
        
        if (Tonyu.globals.$Title) {
          Tonyu.globals.$Title.die();
          
        }
        Tonyu.globals.$score=0;
        Tonyu.globals.$level=1;
        if (! _this.stage) {
          _this.MakeStage(1);
          
        }
        if (_this.gameStarted) {
          _this.GameReset();
          
        }
        _this.gameStarted=true;
        Tonyu.globals.$Player=new Tonyu.classes.user.Player({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight-32-16-1});
        _this.ballSpawners=[];
        seed = _this.rnd(99999999);
        
        _this.ballSpawners.push(new Tonyu.classes.user.BallSpawner({x: Tonyu.globals.$screenWidth/2,y: 32,vx: 3,seed: seed,p: Tonyu.globals.$pat_neko+44}));
        seed=_this.rnd(99999999);
        _this.ballSpawners.push(new Tonyu.classes.user.BallSpawner({x: Tonyu.globals.$screenWidth/2,y: 32,vx: - 5,seed: seed,p: Tonyu.globals.$pat_neko+45}));
        Tonyu.globals.$Player.on("die",Tonyu.bindFunc(_this,_this.GameEnd));
        _this.gameLoop=new Tonyu.classes.user.GameLoop();
      },
      fiber$GameStart :function _trc_GameMain_f_GameStart(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var seed;
        
        if (Tonyu.globals.$Title) {
          Tonyu.globals.$Title.die();
          
        }
        Tonyu.globals.$score=0;
        Tonyu.globals.$level=1;
        
        _thread.enter(function _trc_GameMain_ent_GameStart(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(! _this.stage)) { __pc=2     ; break; }
              _this.fiber$MakeStage(_thread, 1);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              if (!(_this.gameStarted)) { __pc=4     ; break; }
              _this.fiber$GameReset(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              
              _this.gameStarted=true;
              Tonyu.globals.$Player=new Tonyu.classes.user.Player({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight-32-16-1});
              _this.ballSpawners=[];
              seed = _this.rnd(99999999);
              
              _this.ballSpawners.push(new Tonyu.classes.user.BallSpawner({x: Tonyu.globals.$screenWidth/2,y: 32,vx: 3,seed: seed,p: Tonyu.globals.$pat_neko+44}));
              seed=_this.rnd(99999999);
              _this.ballSpawners.push(new Tonyu.classes.user.BallSpawner({x: Tonyu.globals.$screenWidth/2,y: 32,vx: - 5,seed: seed,p: Tonyu.globals.$pat_neko+45}));
              Tonyu.globals.$Player.on("die",Tonyu.bindFunc(_this,_this.GameEnd));
              _this.gameLoop=new Tonyu.classes.user.GameLoop();
              _thread.exit(_this);return;
            }
          }
        });
      },
      GameEnd :function _trc_GameMain_GameEnd() {
        "use strict";
        var _this=this;
        
        _this.gameLoop.die();
        new Tonyu.classes.user.UIResult();
      },
      fiber$GameEnd :function _trc_GameMain_f_GameEnd(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.gameLoop.die();
        new Tonyu.classes.user.UIResult();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"Title":{"nowait":false},"MakeStage":{"nowait":false},"GameReset":{"nowait":false},"GameStart":{"nowait":false},"GameEnd":{"nowait":false}},"fields":{"gameStarted":{},"stage":{},"ballSpawners":{},"gameLoop":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("#05e");
        Tonyu.globals.$Screen.resize(600,600);
        Tonyu.globals.$gameHeight=Tonyu.globals.$screenHeight-100;
        Tonyu.globals.$remainShot=2;
        Tonyu.globals.$life=2;
        Tonyu.globals.$deadLine=32*5;
        Tonyu.globals.$level=1;
        Tonyu.globals.$levelUpT=0;
        Tonyu.globals.$levelUpDelay=300;
        Tonyu.globals.$scoreUpMaxCombo=10;
        Tonyu.globals.$volmeBGM=8;
        Tonyu.globals.$volmeSE=8;
        Tonyu.globals.$maxScore=0;
        Tonyu.globals.$UI=new Tonyu.classes.user.UI();
        Tonyu.globals.$SE=new Tonyu.classes.user.SE();
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$bgm_game,true);
        Tonyu.globals.$sound.setBGMVolume(128*Tonyu.globals.$volmeBGM/15);
        Tonyu.globals.$GameMain=new Tonyu.classes.user.GameMain();
        Tonyu.globals.$GameMain.Title();
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.setBGColor("#05e");
        Tonyu.globals.$Screen.resize(600,600);
        Tonyu.globals.$gameHeight=Tonyu.globals.$screenHeight-100;
        Tonyu.globals.$remainShot=2;
        Tonyu.globals.$life=2;
        Tonyu.globals.$deadLine=32*5;
        Tonyu.globals.$level=1;
        Tonyu.globals.$levelUpT=0;
        Tonyu.globals.$levelUpDelay=300;
        Tonyu.globals.$scoreUpMaxCombo=10;
        Tonyu.globals.$volmeBGM=8;
        Tonyu.globals.$volmeSE=8;
        Tonyu.globals.$maxScore=0;
        Tonyu.globals.$UI=new Tonyu.classes.user.UI();
        Tonyu.globals.$SE=new Tonyu.classes.user.SE();
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$bgm_game,true);
        Tonyu.globals.$sound.setBGMVolume(128*Tonyu.globals.$volmeBGM/15);
        Tonyu.globals.$GameMain=new Tonyu.classes.user.GameMain();
        Tonyu.globals.$GameMain.Title();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.p=1;
        _this.pad = new Tonyu.classes.user.APadN({lifeKeeper: _this,keySpeed: 0});
        
        _this.spd = 5;
        
        _this.muteki = 0;
        
        Tonyu.globals.$life=3;
        Tonyu.globals.$remainShot=2;
        _this.t = 0;
        
        Tonyu.globals.$Combo=new Tonyu.classes.user.Combo({lifeKeeper: _this});
        _this.patm = 0;
        
        _this.basep = Tonyu.globals.$pat_neko+1;
        
        while (1) {
          Tonyu.checkLoop();
          _this.vx = 0;
          
          if (_this.getkey("right")>0) {
            _this.vx+=_this.spd;
          }
          if (_this.getkey("left")>0) {
            _this.vx-=_this.spd;
          }
          if (_this.getkey("space")==1) {
            _this.Shoot();
          }
          if (_this.pad.touched) {
            _this.v = _this.abs(_this.pad.vx);
            
            if (_this.v>0.02) {
              _this.vx+=_this.pad.vx*_this.spd;
              
            }
            
          }
          if (_this.pad.touched==- 1) {
            _this.Shoot();
            
          }
          _this.x+=_this.vx;
          if (_this.crashTo(Tonyu.classes.user.Wall)) {
            _this.x-=_this.vx;
            
          }
          _this.patm+=_this.abs(_this.vx);
          if (_this.patm>30) {
            if (_this.p==_this.basep) {
              _this.p=_this.basep+1;
              
            } else {
              _this.p=_this.basep;
              
            }
            _this.patm=0;
            
          }
          if (_this.muteki<=0) {
            _this.alpha=255;
            if (_this.crashTo(Tonyu.classes.user.Ball)) {
              _this.Damage();
              
            }
            
          } else {
            _this.muteki--;
            _this.alpha=_this.floor(_this.muteki/4)%2==0?128:192;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=1;
        _this.pad = new Tonyu.classes.user.APadN({lifeKeeper: _this,keySpeed: 0});
        
        _this.spd = 5;
        
        _this.muteki = 0;
        
        Tonyu.globals.$life=3;
        Tonyu.globals.$remainShot=2;
        _this.t = 0;
        
        Tonyu.globals.$Combo=new Tonyu.classes.user.Combo({lifeKeeper: _this});
        _this.patm = 0;
        
        _this.basep = Tonyu.globals.$pat_neko+1;
        
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=11    ; break; }
              _this.vx = 0;
              
              if (_this.getkey("right")>0) {
                _this.vx+=_this.spd;
              }
              if (_this.getkey("left")>0) {
                _this.vx-=_this.spd;
              }
              if (!(_this.getkey("space")==1)) { __pc=3     ; break; }
              _this.fiber$Shoot(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              if (_this.pad.touched) {
                _this.v = _this.abs(_this.pad.vx);
                
                if (_this.v>0.02) {
                  _this.vx+=_this.pad.vx*_this.spd;
                  
                }
                
              }
              if (!(_this.pad.touched==- 1)) { __pc=5     ; break; }
              _this.fiber$Shoot(_thread);
              __pc=4;return;
            case 4:
              
            case 5     :
              
              _this.x+=_this.vx;
              if (_this.crashTo(Tonyu.classes.user.Wall)) {
                _this.x-=_this.vx;
                
              }
              _this.patm+=_this.abs(_this.vx);
              if (_this.patm>30) {
                if (_this.p==_this.basep) {
                  _this.p=_this.basep+1;
                  
                } else {
                  _this.p=_this.basep;
                  
                }
                _this.patm=0;
                
              }
              if (!(_this.muteki<=0)) { __pc=8     ; break; }
              _this.alpha=255;
              if (!(_this.crashTo(Tonyu.classes.user.Ball))) { __pc=7     ; break; }
              _this.fiber$Damage(_thread);
              __pc=6;return;
            case 6:
              
            case 7     :
              
              __pc=9     ;break;
            case 8     :
              {
                _this.muteki--;
                _this.alpha=_this.floor(_this.muteki/4)%2==0?128:192;
              }
            case 9     :
              
              _this.fiber$update(_thread);
              __pc=10;return;
            case 10:
              
              __pc=1;break;
            case 11    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Shoot :function _trc_Player_Shoot() {
        "use strict";
        var _this=this;
        var s;
        
        if (Tonyu.globals.$remainShot<=0) {
          return _this;
        }
        s = new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
        
        Tonyu.globals.$SE.Shoot();
        Tonyu.globals.$remainShot--;
        s.on("die",(function anonymous_1060() {
          
          Tonyu.globals.$remainShot++;
          _this.patUpd();
        }));
        _this.patUpd();
      },
      fiber$Shoot :function _trc_Player_f_Shoot(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var s;
        
        if (Tonyu.globals.$remainShot<=0) {
          _thread.retVal=_this;return;
          
        }
        s = new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
        
        Tonyu.globals.$SE.Shoot();
        Tonyu.globals.$remainShot--;
        
        _thread.enter(function _trc_Player_ent_Shoot(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              s.on("die",(function anonymous_1060() {
                
                Tonyu.globals.$remainShot++;
                _this.patUpd();
              }));
              _this.fiber$patUpd(_thread);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Damage :function _trc_Player_Damage() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.user.FxDamage();
        Tonyu.globals.$SE.Crash();
        Tonyu.globals.$life--;
        _this.muteki=120;
        if (Tonyu.globals.$life<=0) {
          _this.die();
        }
      },
      fiber$Damage :function _trc_Player_f_Damage(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.user.FxDamage();
        Tonyu.globals.$SE.Crash();
        Tonyu.globals.$life--;
        _this.muteki=120;
        if (Tonyu.globals.$life<=0) {
          _this.die();
        }
        
        _thread.retVal=_this;return;
      },
      patUpd :function _trc_Player_patUpd() {
        "use strict";
        var _this=this;
        
        if (Tonyu.globals.$remainShot==1) {
          _this.basep=Tonyu.globals.$pat_neko+21;
          
        } else {
          if (Tonyu.globals.$remainShot<=0) {
            _this.basep=Tonyu.globals.$pat_neko+11;
            
          } else {
            _this.basep=Tonyu.globals.$pat_neko+1;
            
          }
        }
        _this.p=_this.basep;
      },
      fiber$patUpd :function _trc_Player_f_patUpd(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (Tonyu.globals.$remainShot==1) {
          _this.basep=Tonyu.globals.$pat_neko+21;
          
        } else {
          if (Tonyu.globals.$remainShot<=0) {
            _this.basep=Tonyu.globals.$pat_neko+11;
            
          } else {
            _this.basep=Tonyu.globals.$pat_neko+1;
            
          }
        }
        _this.p=_this.basep;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Shoot":{"nowait":false},"Damage":{"nowait":false},"patUpd":{"nowait":false}},"fields":{"pad":{},"spd":{},"muteki":{},"t":{},"patm":{},"basep":{},"vx":{},"v":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Shape',
  shortName: 'Shape',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shape_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Shape_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Shot',
  shortName: 'Shot',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shot_main() {
        "use strict";
        var _this=this;
        
        _this.p=_this.rnd(10)==0?_this.rnd(Tonyu.globals.$pat_weapon+5,Tonyu.globals.$pat_weapon+10):_this.rnd(Tonyu.globals.$pat_weapon,Tonyu.globals.$pat_weapon+5);
        _this.vy = - 6;
        
        _this.kirat = 0;
        
        _this.vrot = (_this.rnd(2)?1:- 1)*16;
        
        _this.scaleX=2;
        while (1) {
          Tonyu.checkLoop();
          _this.y+=_this.vy;
          _this.rotation+=_this.vrot;
          _this.kirat++;
          if (_this.kirat>5) {
            new Tonyu.classes.user.FxKirakira({x: _this.x,y: _this.y,scaleX: 0.5});
            _this.kirat=0;
            
          }
          if (_this.y<- 16) {
            _this.die();
            
          }
          _this.t = _this.crashTo(Tonyu.classes.user.Ball);
          
          if (_this.t) {
            _this.die();
            _this.t.Hit(_this);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Shot_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=_this.rnd(10)==0?_this.rnd(Tonyu.globals.$pat_weapon+5,Tonyu.globals.$pat_weapon+10):_this.rnd(Tonyu.globals.$pat_weapon,Tonyu.globals.$pat_weapon+5);
        _this.vy = - 6;
        
        _this.kirat = 0;
        
        _this.vrot = (_this.rnd(2)?1:- 1)*16;
        
        _this.scaleX=2;
        
        _thread.enter(function _trc_Shot_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.y+=_this.vy;
              _this.rotation+=_this.vrot;
              _this.kirat++;
              if (_this.kirat>5) {
                new Tonyu.classes.user.FxKirakira({x: _this.x,y: _this.y,scaleX: 0.5});
                _this.kirat=0;
                
              }
              if (_this.y<- 16) {
                _this.die();
                
              }
              _this.t = _this.crashTo(Tonyu.classes.user.Ball);
              
              if (_this.t) {
                _this.die();
                _this.t.Hit(_this);
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_Shot_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
      },
      draw :function _trc_Shot_draw(ctx) {
        "use strict";
        var _this=this;
        var a;
        
        __superClass.prototype.draw.apply( _this, [ctx]);
        a = _this.kirat/20+0.1;
        
        ctx.fillStyle="rgba(255,255,255,"+a+")";
        ctx.beginPath();
        ctx.arc(_this.x,_this.y,18*_this.scaleX,0,2*Tonyu.globals.$Math.PI);
        ctx.fill();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"draw":{"nowait":true}},"fields":{"vy":{},"kirat":{},"vrot":{},"t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        _this.x=Tonyu.globals.$screenWidth/2;
        _this.y=Tonyu.globals.$screenHeight/2;
        _this.p=8;
        _this.zOrder=- 10;
        new Tonyu.classes.kernel.Button({lifeKeeper: _this,top: Tonyu.globals.$screenHeight-60,text: "スタート",onClick: (function anonymous_128() {
          
          Tonyu.globals.$GameMain.GameStart();
          Tonyu.globals.$SE.Click();
        })});
        new Tonyu.classes.user.UIRange({lifeKeeper: _this,width: 290,top: 5,left: 5,text: "BGM音量",value: Tonyu.globals.$volmeBGM,max: 10,min: 0,onChange: (function anonymous_274(t) {
          
          Tonyu.globals.$volmeBGM=t.value;
          Tonyu.globals.$sound.setBGMVolume(128*Tonyu.globals.$volmeBGM/15);
          Tonyu.globals.$SE.Click();
        })});
        new Tonyu.classes.kernel.Label({lifeKeeper: _this,y: 44,x: 140,size: 14,text: "BGM:ゲームの歌 (夢にみた緑)"});
        new Tonyu.classes.user.UIRange({lifeKeeper: _this,width: 290,top: 5,left: 305,text: "SE音量",value: Tonyu.globals.$volmeSE,max: 10,min: 0,onChange: (function anonymous_556(t) {
          
          Tonyu.globals.$volmeSE=t.value;
          Tonyu.globals.$SE.Click();
        })});
        while (1) {
          Tonyu.checkLoop();
          if (_this.getkey("space")==1) {
            Tonyu.globals.$GameMain.GameStart();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.x=Tonyu.globals.$screenWidth/2;
        _this.y=Tonyu.globals.$screenHeight/2;
        _this.p=8;
        _this.zOrder=- 10;
        new Tonyu.classes.kernel.Button({lifeKeeper: _this,top: Tonyu.globals.$screenHeight-60,text: "スタート",onClick: (function anonymous_128() {
          
          Tonyu.globals.$GameMain.GameStart();
          Tonyu.globals.$SE.Click();
        })});
        new Tonyu.classes.user.UIRange({lifeKeeper: _this,width: 290,top: 5,left: 5,text: "BGM音量",value: Tonyu.globals.$volmeBGM,max: 10,min: 0,onChange: (function anonymous_274(t) {
          
          Tonyu.globals.$volmeBGM=t.value;
          Tonyu.globals.$sound.setBGMVolume(128*Tonyu.globals.$volmeBGM/15);
          Tonyu.globals.$SE.Click();
        })});
        new Tonyu.classes.kernel.Label({lifeKeeper: _this,y: 44,x: 140,size: 14,text: "BGM:ゲームの歌 (夢にみた緑)"});
        new Tonyu.classes.user.UIRange({lifeKeeper: _this,width: 290,top: 5,left: 305,text: "SE音量",value: Tonyu.globals.$volmeSE,max: 10,min: 0,onChange: (function anonymous_556(t) {
          
          Tonyu.globals.$volmeSE=t.value;
          Tonyu.globals.$SE.Click();
        })});
        
        _thread.enter(function _trc_Title_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (_this.getkey("space")==1) {
                Tonyu.globals.$GameMain.GameStart();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_Title_draw(ctx) {
        "use strict";
        var _this=this;
        var size;
        
        Tonyu.globals.$UI.Text({ctx: ctx,text: "ハイスコアを目指そう！",x: 50,y: 90});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "ライフが0になったらゲームオーバー",x: 50,y: 120});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "画面タッチか左右スペースキーで操作",x: 50,y: 190});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "猫を操作し、玉を避けながら",x: 50,y: 260});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "刃物を投げてキラキラ光る玉に当てよう！",x: 50,y: 290});
        size = 16;
        
        Tonyu.globals.$UI.Text({ctx: ctx,text: "連続でキラキラ光る玉に当てるとコンボでスコアが上昇！",x: 20,y: 440,size: size});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "刃物は画面上に二つまでしか投げれないので注意！",x: 200,y: 460,size: size});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "時間経過で難しくなる！",x: 400,y: 480,size: size});
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.UI',
  shortName: 'UI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UI_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_UI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      Text :function _trc_UI_Text(o) {
        "use strict";
        var _this=this;
        var ctx;
        var x;
        var y;
        var text;
        var textSize;
        var textObj;
        
        ctx = o.ctx;
        
        ctx.save();
        x = o.x!=null?o.x:0;
        
        y = o.y!=null?o.y:0;
        
        text = o.text;
        
        ctx.textBaseline=o.textBaseline||"top";
        ctx.lineWidth=o.lineWidth!=null?o.lineWidth:2;
        textSize = o.size!=null?o.size:28;
        
        ctx.font=textSize+"px sans-serif";
        textObj = ctx.measureText(text);
        
        if (o.align=="center") {
          x=x-textObj.width/2;
          
        }
        ctx.strokeStyle=o.strokeStyle||"black";
        ctx.strokeText(text,x,y);
        ctx.fillStyle=o.fillStyle||o.color||"white";
        ctx.fillText(text,x,y);
        ctx.restore();
        return textObj;
      },
      fiber$Text :function _trc_UI_f_Text(_thread,o) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var ctx;
        var x;
        var y;
        var text;
        var textSize;
        var textObj;
        
        ctx = o.ctx;
        
        ctx.save();
        x = o.x!=null?o.x:0;
        
        y = o.y!=null?o.y:0;
        
        text = o.text;
        
        ctx.textBaseline=o.textBaseline||"top";
        ctx.lineWidth=o.lineWidth!=null?o.lineWidth:2;
        textSize = o.size!=null?o.size:28;
        
        ctx.font=textSize+"px sans-serif";
        textObj = ctx.measureText(text);
        
        if (o.align=="center") {
          x=x-textObj.width/2;
          
        }
        ctx.strokeStyle=o.strokeStyle||"black";
        ctx.strokeText(text,x,y);
        ctx.fillStyle=o.fillStyle||o.color||"white";
        ctx.fillText(text,x,y);
        ctx.restore();
        _thread.retVal=textObj;return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Text":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.UIMain',
  shortName: 'UIMain',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UIMain_main() {
        "use strict";
        var _this=this;
        
        _this.zOrder=- 10;
      },
      fiber$main :function _trc_UIMain_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.zOrder=- 10;
        
        _thread.retVal=_this;return;
      },
      draw :function _trc_UIMain_draw(ctx) {
        "use strict";
        var _this=this;
        
        ctx.save();
        ctx.fillStyle="#333";
        ctx.fillRect(0,Tonyu.globals.$gameHeight,Tonyu.globals.$screenWidth,Tonyu.globals.$screenHeight);
        Tonyu.globals.$UI.Text({ctx: ctx,text: "life: "+Tonyu.globals.$life,x: 5,y: Tonyu.globals.$gameHeight+5});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "shot: "+Tonyu.globals.$remainShot,x: 200,y: Tonyu.globals.$gameHeight+5});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "level: "+Tonyu.globals.$level,x: 400,y: Tonyu.globals.$gameHeight+5});
        ctx.fillStyle="#111";
        ctx.fillRect(400,Tonyu.globals.$gameHeight+40,120,15);
        ctx.fillStyle="#eee";
        ctx.fillRect(400,Tonyu.globals.$gameHeight+40,120*(Tonyu.globals.$levelUpT/Tonyu.globals.$levelUpDelay),15);
        Tonyu.globals.$UI.Text({ctx: ctx,text: "score: "+Tonyu.globals.$score,x: 5,y: Tonyu.globals.$gameHeight+60});
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.UIRange',
  shortName: 'UIRange',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UIRange_main() {
        "use strict";
        var _this=this;
        
        
      },
      fiber$main :function _trc_UIRange_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_UIRange_initialize(o) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.top=o.top||0;
        _this.left=o.left||0;
        _this.width=o.width||100;
        _this.height=o.height||26;
        _this.value=o.value!=null?o.value:0;
        _this.text=o.text!=null?o.text:"";
        _this.max=o.max;
        _this.min=o.min;
        new Tonyu.classes.kernel.Button({lifeKeeper: _this,width: _this.height,height: _this.height,top: _this.top,left: _this.left,text: "↓",onClick: (function anonymous_484() {
          
          if (_this.min!=null&&_this.value<=_this.min) {
            return _this;
          }
          _this.value--;
          _this.changed();
        })});
        new Tonyu.classes.kernel.Button({lifeKeeper: _this,width: _this.height,height: _this.height,top: _this.top,left: _this.left+_this.width-_this.height,text: "↑",onClick: (function anonymous_708() {
          
          if (_this.max!=null&&_this.value>=_this.max) {
            return _this;
          }
          _this.value++;
          _this.changed();
        })});
      },
      draw :function _trc_UIRange_draw(ctx) {
        "use strict";
        var _this=this;
        var x;
        var y;
        var text;
        var textSize;
        var textObj;
        
        ctx.save();
        x = _this.left+_this.width/2;
        
        y = _this.top+_this.height/2;
        
        text = _this.value;
        
        if (_this.text) {
          text=_this.text+": "+text;
          
        }
        ctx.textBaseline="middle";
        ctx.lineWidth=_this.lineWidth!=null?_this.lineWidth:1;
        textSize = _this.size!=null?_this.size:_this.height-4;
        
        ctx.font=textSize+"px sans-serif";
        textObj = ctx.measureText(text);
        
        x=x-textObj.width/2;
        ctx.strokeStyle=_this.strokeStyle||"black";
        ctx.strokeText(text,x,y);
        ctx.fillStyle=_this.fillStyle||"white";
        ctx.fillText(text,x,y);
        ctx.restore();
      },
      changed :function _trc_UIRange_changed() {
        "use strict";
        var _this=this;
        
        if (typeof  _this.onChange==='function') {
          _this.onChange(_this);
          
        }
      },
      fiber$changed :function _trc_UIRange_f_changed(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (typeof  _this.onChange==='function') {
          _this.onChange(_this);
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"draw":{"nowait":true},"changed":{"nowait":false}},"fields":{"onChange":{}}}
});
Tonyu.klass.define({
  fullName: 'user.UIResult',
  shortName: 'UIResult',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UIResult_main() {
        "use strict";
        var _this=this;
        
        _this.zOrder=- 10;
        _this.score = Tonyu.globals.$score;
        
        if (Tonyu.globals.$maxScore<_this.score) {
          Tonyu.globals.$maxScore=_this.score;
        }
        _this.updateEx(60);
        new Tonyu.classes.kernel.Button({lifeKeeper: _this,top: Tonyu.globals.$gameHeight/2+50,text: "ツイート",onClick: (function anonymous_155() {
          
          Tonyu.globals.$WebPage.openShareTweet(_this.score+" 点 #ahoge ");
        })});
        new Tonyu.classes.kernel.Button({lifeKeeper: _this,top: Tonyu.globals.$screenHeight-60,text: "リスタート",onClick: (function anonymous_288() {
          
          _this.die();
          Tonyu.globals.$GameMain.Title();
        })});
        while (1) {
          Tonyu.checkLoop();
          if (_this.getkey("space")==1) {
            _this.die();
            Tonyu.globals.$GameMain.Title();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_UIResult_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.zOrder=- 10;
        _this.score = Tonyu.globals.$score;
        
        if (Tonyu.globals.$maxScore<_this.score) {
          Tonyu.globals.$maxScore=_this.score;
        }
        
        _thread.enter(function _trc_UIResult_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$updateEx(_thread, 60);
              __pc=1;return;
            case 1:
              
              new Tonyu.classes.kernel.Button({lifeKeeper: _this,top: Tonyu.globals.$gameHeight/2+50,text: "ツイート",onClick: (function anonymous_155() {
                
                Tonyu.globals.$WebPage.openShareTweet(_this.score+" 点 #ahoge ");
              })});
              new Tonyu.classes.kernel.Button({lifeKeeper: _this,top: Tonyu.globals.$screenHeight-60,text: "リスタート",onClick: (function anonymous_288() {
                
                _this.die();
                Tonyu.globals.$GameMain.Title();
              })});
            case 2:
              if (!(1)) { __pc=4     ; break; }
              if (_this.getkey("space")==1) {
                _this.die();
                Tonyu.globals.$GameMain.Title();
                
              }
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=2;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_UIResult_draw(ctx) {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$UI.Text({ctx: ctx,text: "Score: "+_this.score,x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight/2-100,size: 56,lineWidth: 3,align: "center"});
        Tonyu.globals.$UI.Text({ctx: ctx,text: "HiScore: "+Tonyu.globals.$maxScore,x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$gameHeight/2-170,size: 24,lineWidth: 2,align: "center"});
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"score":{}}}
});
Tonyu.klass.define({
  fullName: 'user.UIWindow',
  shortName: 'UIWindow',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UIWindow_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_UIWindow_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_UIWindow_initialize(o) {
        "use strict";
        var _this=this;
        
        if (! o) {
          o={};
        }
        __superClass.apply( _this, [o]);
        _this.width=Tonyu.globals.$screenWidth;
        _this.height=Tonyu.globals.$screenHeight;
        _this.margin=o.margin!=null?o.margin:40;
        _this.padding=o.padding!=null?o.padding:10;
        _this.lastTop=0;
        _this.lastLeft=0;
        _this.lastBottom=0;
        if (Tonyu.globals.$curWindow!=null&&! Tonyu.globals.$curWindow.isDead()) {
          Tonyu.globals.$curWindow.die();
          
        }
        Tonyu.globals.$curWindow=_this;
        _this.on("touch",Tonyu.bindFunc(_this,_this.drag));
      },
      drag :function _trc_UIWindow_drag(touchEvent) {
        "use strict";
        var _this=this;
        var f;
        
        f = touchEvent.finger;
        
        if (f.x<_this.margin||f.y<_this.margin||f.x>Tonyu.globals.$screenWidth-_this.margin||f.y>Tonyu.globals.$screenHeight-_this.margin) {
          _this.die();
          
        }
      },
      fiber$drag :function _trc_UIWindow_f_drag(_thread,touchEvent) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var f;
        
        f = touchEvent.finger;
        
        if (f.x<_this.margin||f.y<_this.margin||f.x>Tonyu.globals.$screenWidth-_this.margin||f.y>Tonyu.globals.$screenHeight-_this.margin) {
          _this.die();
          
        }
        
        _thread.retVal=_this;return;
      },
      getCrashRect :function _trc_UIWindow_getCrashRect() {
        "use strict";
        var _this=this;
        
        return {x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight};
      },
      draw :function _trc_UIWindow_draw(ctx) {
        "use strict";
        var _this=this;
        
        ctx.save();
        ctx.fillStyle="rgba(64,64,64,0.9)";
        ctx.fillRect(_this.margin,_this.margin,Tonyu.globals.$screenWidth-_this.margin*2,Tonyu.globals.$screenHeight-_this.margin*2);
        ctx.lineWidth=2;
        ctx.strokeStyle="#000";
        ctx.strokeRect(_this.margin,_this.margin,Tonyu.globals.$screenWidth-_this.margin*2,Tonyu.globals.$screenHeight-_this.margin*2);
        ctx.restore();
      },
      NewUIParam :function _trc_UIWindow_NewUIParam(o) {
        "use strict";
        var _this=this;
        
        o.top=o.top!=null?o.top:_this.lastBottom;
        o.left=o.left!=null?o.left:_this.lastLeft;
        o.top+=_this.margin+_this.padding;
        o.left+=_this.margin+_this.padding;
        o.width=o.width!=null?o.width:(_this.width-_this.margin-_this.padding)-o.left;
        o.height=o.height!=null?o.height:26;
        o.lifeKeeper=_this;
        _this.lastTop=o.top-_this.margin-_this.padding;
        _this.lastBottom=o.top-_this.margin-_this.padding+o.height+_this.padding;
        _this.lastLeft=o.left-_this.margin-_this.padding;
        return o;
      },
      fiber$NewUIParam :function _trc_UIWindow_f_NewUIParam(_thread,o) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        o.top=o.top!=null?o.top:_this.lastBottom;
        o.left=o.left!=null?o.left:_this.lastLeft;
        o.top+=_this.margin+_this.padding;
        o.left+=_this.margin+_this.padding;
        o.width=o.width!=null?o.width:(_this.width-_this.margin-_this.padding)-o.left;
        o.height=o.height!=null?o.height:26;
        o.lifeKeeper=_this;
        _this.lastTop=o.top-_this.margin-_this.padding;
        _this.lastBottom=o.top-_this.margin-_this.padding+o.height+_this.padding;
        _this.lastLeft=o.left-_this.margin-_this.padding;
        _thread.retVal=o;return;
        
        
        _thread.retVal=_this;return;
      },
      NewButton :function _trc_UIWindow_NewButton(o) {
        "use strict";
        var _this=this;
        
        o=_this.NewUIParam(o);
        new Tonyu.classes.kernel.Button(o);
      },
      fiber$NewButton :function _trc_UIWindow_f_NewButton(_thread,o) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_UIWindow_ent_NewButton(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$NewUIParam(_thread, o);
              __pc=1;return;
            case 1:
              o=_thread.retVal;
              
              new Tonyu.classes.kernel.Button(o);
              _thread.exit(_this);return;
            }
          }
        });
      },
      NewUIRange :function _trc_UIWindow_NewUIRange(o) {
        "use strict";
        var _this=this;
        
        o=_this.NewUIParam(o);
        new Tonyu.classes.user.UIRange(o);
      },
      fiber$NewUIRange :function _trc_UIWindow_f_NewUIRange(_thread,o) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_UIWindow_ent_NewUIRange(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$NewUIParam(_thread, o);
              __pc=1;return;
            case 1:
              o=_thread.retVal;
              
              new Tonyu.classes.user.UIRange(o);
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"drag":{"nowait":false},"getCrashRect":{"nowait":true},"draw":{"nowait":true},"NewUIParam":{"nowait":false},"NewButton":{"nowait":false},"NewUIRange":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Wall',
  shortName: 'Wall',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Wall_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_mapchip+88;
        _this.isStatic=true;
      },
      fiber$main :function _trc_Wall_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_mapchip+88;
        _this.isStatic=true;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.SE',
  shortName: 'SE',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_SE_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_SE_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      Click :function _trc_SE_Click() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click,128/10*Tonyu.globals.$volmeSE);
      },
      fiber$Click :function _trc_SE_f_Click(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click,128/10*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      Crash :function _trc_SE_Crash() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_crash,128/8*Tonyu.globals.$volmeSE);
      },
      fiber$Crash :function _trc_SE_f_Crash(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_crash,128/8*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      Up :function _trc_SE_Up() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128/10*Tonyu.globals.$volmeSE);
      },
      fiber$Up :function _trc_SE_f_Up(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128/10*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      Combo :function _trc_SE_Combo() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru2,128/10*Tonyu.globals.$volmeSE);
      },
      fiber$Combo :function _trc_SE_f_Combo(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru2,128/10*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      Shoot :function _trc_SE_Shoot() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton3,128/8*Tonyu.globals.$volmeSE);
      },
      fiber$Shoot :function _trc_SE_f_Shoot(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_ton3,128/8*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      ComboBreak :function _trc_SE_ComboBreak() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_error,128/8*Tonyu.globals.$volmeSE);
      },
      fiber$ComboBreak :function _trc_SE_f_ComboBreak(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_error,128/8*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      SpawnBall :function _trc_SE_SpawnBall() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton3,128/10*Tonyu.globals.$volmeSE);
      },
      fiber$SpawnBall :function _trc_SE_f_SpawnBall(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kton3,128/10*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      Hit :function _trc_SE_Hit() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit,128/10*Tonyu.globals.$volmeSE);
      },
      fiber$Hit :function _trc_SE_f_Hit(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit,128/10*Tonyu.globals.$volmeSE);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Click":{"nowait":false},"Crash":{"nowait":false},"Up":{"nowait":false},"Combo":{"nowait":false},"Shoot":{"nowait":false},"ComboBreak":{"nowait":false},"SpawnBall":{"nowait":false},"Hit":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.FxDamage',
  shortName: 'FxDamage',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_FxDamage_main() {
        "use strict";
        var _this=this;
        
        _this.zOrder=- 1;
        _this.t = 60;
        
        _this.maxt = _this.t;
        
        _this.alpha=80;
        while (_this.t) {
          Tonyu.checkLoop();
          _this.alpha*=0.96;
          _this.t--;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_FxDamage_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.zOrder=- 1;
        _this.t = 60;
        
        _this.maxt = _this.t;
        
        _this.alpha=80;
        
        _thread.enter(function _trc_FxDamage_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t)) { __pc=3     ; break; }
              _this.alpha*=0.96;
              _this.t--;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_FxDamage_draw(ctx) {
        "use strict";
        var _this=this;
        
        ctx.save();
        ctx.fillStyle="rgba(255,0,0,"+_this.alpha/255+")";
        ctx.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$gameHeight);
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"t":{},"maxt":{}}}
});
Tonyu.klass.define({
  fullName: 'user.ComboFront',
  shortName: 'ComboFront',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_ComboFront_main() {
        "use strict";
        var _this=this;
        
        
        _this.t = 0;
        
        while (1) {
          Tonyu.checkLoop();
          _this.t++;
          _this.update();
          
        }
      },
      fiber$main :function _trc_ComboFront_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _this.t = 0;
        
        
        _thread.enter(function _trc_ComboFront_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.t++;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_ComboFront_draw(ctx) {
        "use strict";
        var _this=this;
        
        ctx.fillStyle="rgba(255,255,255,"+_this.a+")";
        ctx.fillRect(0,0,Tonyu.globals.$screenWidth,Tonyu.globals.$gameHeight);
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"a":{},"t":{}}}
});

//# sourceMappingURL=concat.js.map